Subject: FVWM: ButtonBar/IconBox Bug?

From: Matthew Moore x1-0106 <[email-masked]>
Date: Thu, 22 May 1997 18:31:30 -0700

Hi everyone.

First, I'll give you the symptoms of this rather unusual occurance
(which only happens every few hours).  Essentially, FvwmButtons (which
is swallowing FvwmIconBox) will disappear from my screen and dump
core in my home directory.  This seems to happen mostly when new
windows are popping up, but it has happened when nothing else was
going on.  The output of -debug is error-free, until the window
disappears, when I get...

  X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  4 (X_DestroyWindow)
  Resource id in failed request:  0x240000d
  Serial number of failed request:  10918
  Current serial number in output stream:  10919
  Error in FvwmIconBox:  BadDrawable (invalid Pixmap or Window parameter)
  Major opcode of failed request:  62
  Resource id of failed request:  0x2000022
  Error in FvwmIconBox:  BadDrawable (invalid Pixmap or Window parameter)
  Major opcode of failed request:  74
  Resource id of failed request:  0x2000023
  Error in FvwmIconBox:  BadDrawable (invalid Pixmap or Window parameter)
  Major opcode of failed request:  66
  Resource id of failed request:  0x2000023
  Error in FvwmIconBox:  BadDrawable (invalid Pixmap or Window parameter)
  Major opcode of failed request:  66
  Resource id of failed request:  0x2000023
  Error in FvwmIconBox:  BadDrawable (invalid Pixmap or Window parameter)
  Major opcode of failed request:  66
  Resource id of failed request:  0x2000023
  Error in FvwmIconBox:  BadDrawable (invalid Pixmap or Window parameter)
  Major opcode of failed request:  62
  Resource id of failed request:  0x2000014

and on and on.  A slew of BadDrawable messages continues, with a new
set being generated whenever my focus switches windows.  And, more
mysteriously, a 'ps' shows that FvwmIconBox still exists, even though
it is nowhere to be seen.  If I kill the FvwmIconBox process, the
BadDrawable messages go away, at which point I can start a new
FvwmButtons (and thus a new FvwmIconBox) without difficulty.

Here are the relevant details -

	Fvwm2.0.45
	Solaris x86 2.5.1
	compiled with gcc 2.7.2 and Sun's X libraries
	  and version 3.4j of the XPM libs
	running under the Xsun X server
	16-bit color (65535 colors)
	1600x1200
	Matrox Millenium 4mb
	Pentium 200, 65Mb RAM

Fvwm compiled without difficulty.

Here's the portion of my .fvwm2rc dealing with both the buttonbar and
iconbox...

################## FvwmButtons button-bar ################################
# Colors
*FvwmButtonsFore Black
*FvwmButtonsBack #5f9ea0

# Font
*FvwmButtonsFont -adobe-helvetica-bold-r-*-*-12-*-*-*-*-*-*-*
# Geometry - really likes to pick its own size, but giving a position is OK
*FvwmButtonsGeometry -1+1

# Layout: specify rows or columns, not both
*FvwmButtonsColumns 1
*FvwmButtonsPadding 2 2

# xterm or rxvts on remote machines can be done like this
# Output re-direction is csh style, not sh style
# You will want to substitute your own hosts here!

*FvwmButtons(Swallow "Clock" 'Exec exec rclock -bg \#5f9ea0')

*FvwmButtons(1x1, Container(Rows 2))
*FvwmButtons(Title "Lock Screen", Icon Jxlock.xpm, \
	Action 'Exec /home/moore/local/xs/bin/xscreensaver-command -lock')
*FvwmButtons(Title "Exit FVWM", Icon exit.xpm, \
	Action Quit)
*FvwmButtons(End)

#*FvwmButtons(1x1, Container(Rows 2))
#*FvwmButtons(Title "Godzilla Load", Swallow "godzilla" \
#	 'Exec exec rsh godzilla "/usr/openwin/bin/xload -title godzilla -bg \#5f9ea0 \
#          -nolabel -jumpscroll 1 -hl grey50"')
#*FvwmButtons(Title "My Load", Swallow "me"\
#	 'Exec exec /usr/openwin/bin/xload -title me -bg \#5f9ea0 -nolabel \
#          -jumpscroll 1 -hl grey50')
#*FvwmButtons(End)

*FvwmButtons(1x1, Container(Rows 2))
*FvwmButtons(Title Minie, Icon rterm.xpm, \
	Action 'Exec "rxvt" exec rxvt -n Minie -e rlogin minie')
*FvwmButtons(Title Godzilla, Icon rterm.xpm, \
	Action 'Exec "rxvt" exec rxvt -n Godzilla -e rlogin godzilla')
*FvwmButtons(Title Cetp, Icon rterm.xpm, \
	Action 'Exec "rxvt" exec rxvt -n Cetp -e rlogin -l p27213 cetp1')
*FvwmButtons(Title Me, Icon rterm.xpm, \
	Action 'Exec "rxvt" exec rxvt')
*FvwmButtons(End)

*FvwmButtons(Swallow "FvwmPager" "FvwmPager 0 0")

*FvwmButtons(1x6, Swallow "FvwmIconBox" "FvwmIconBox")

############################################################
*FvwmIconBoxIconBack    #cfcfcf
*FvwmIconBoxIconHiFore  black
*FvwmIconBoxIconHiBack  LightSkyBlue
*FvwmIconBoxBack        #5f9ea0
*FvwmIconBoxGeometry    1x5+0+0
*FvwmIconBoxMaxIconSize 64x38
*FvwmIconBoxFont        -adobe-helvetica-medium-r-*-*-12-*-*-*-*-*-*-*
*FvwmIconBoxSortIcons   IconName
*FvwmIconBoxPadding     4
*FvwmIconBoxLines       10
*FvwmIconBoxSBWidth     11
*FvwmIconBoxPlacement   Top Left
*FvwmIconBoxPixmap      fvwm.xpm
*FvwmIconBoxSetWMIconSize
*FvwmIconBoxHilightFocusWin
*FvwmIconBoxMouse       1       Click           RaiseLower
*FvwmIconBoxMouse       1       DoubleClick     Iconify
*FvwmIconBoxMouse       2       Click           Iconify -1, Focus
*FvwmIconBoxMouse       3       Click           Module FvwmIdent
*FvwmIconBoxKey         r       RaiseLower
*FvwmIconBoxKey         space   Iconify
*FvwmIconBoxKey         d       Close
*FvwmIconBoxKey         n       Next
*FvwmIconBoxKey         p       Prev
*FvwmIconBoxKey         h       Left
*FvwmIconBoxKey         j       Down
*FvwmIconBoxKey         k       Up
*FvwmIconBoxKey         l       Right

I'm really stumped on this one - any help will be greatly
appreciated.  By the way, a big thanks to the people who worked on
getting fvwm running as CDE's window manager.  And of course to the
developers - my fvwm desktop kicks my colleague's dtwm desktop's ass!
Woohoo!  :)

Thanks.

Matt
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].